<?php
/*
Plugin Name: wp Time Machine
Plugin URI: http://wordpress.org/extend/plugins/wp-time-machine/
Description: Creates an archive of all your WordPress Data & Files and then stores them on Dropbox, Amazon's S3, or your FTP host.
Version: 1.8.8
Author: Paul G Petty
Author URI: http://paulgriffinpetty.com
*/

define ( 'wpTimeMachineVersion', '1.8.7' );

if (version_compare(phpversion(), '5', '>=') && function_exists("curl_version")) {

    // For PHP5 with cURL:
    
    require "includes/PEAR/Tar.php";
    require "includes/PEAR/Zip.php";
        
    require 'includes/DropboxUploader.php';
    require 'includes/S3.php';

    require 'includes/wpTimeMachineCore.php5';

} else {

    // For PHP4 & PHP5 w/out cURL:
    
    require 'includes/wpTimeMachineCore.php4';
    
}

?>